import request from '@/utils/request'

// 查询用户充值列表
export function listUserRecharge(query) {
  return request({
    url: '/store/userRecharge/list',
    method: 'get',
    params: query
  })
}

// 查询用户充值详细
export function getUserRecharge(id) {
  return request({
    url: '/store/userRecharge/' + id,
    method: 'get'
  })
}

// 新增用户充值
export function addUserRecharge(data) {
  return request({
    url: '/store/userRecharge',
    method: 'post',
    data: data
  })
}

// 修改用户充值
export function updateUserRecharge(data) {
  return request({
    url: '/store/userRecharge',
    method: 'put',
    data: data
  })
}

// 删除用户充值
export function delUserRecharge(id) {
  return request({
    url: '/store/userRecharge/' + id,
    method: 'delete'
  })
}

// 导出用户充值
export function exportUserRecharge(query) {
  return request({
    url: '/store/userRecharge/export',
    method: 'get',
    params: query
  })
}